from urllib.request import urlopen, Request

# příprava dotazu
url = 'https://15khz.miraheze.org/wiki/Main_Page?action=raw'
headers = { 'User-Agent': 'Mozilla/4.0 (compatible; MSIE 5.5; Windows NT)', }
request = Request(url, headers=headers)

# provedení dotazu
with urlopen(request) as stream:
    response_code = stream.getcode()
    if response_code == 200:
        # kódování odpovědi
        headers = dict(stream.getheaders())
        encoding = headers['Content-Type'].split('charset=')[-1]
        # odpověď
        content = stream.read()
        text = content.decode(encoding)

if text:
    with open('06.txt', mode='tw', encoding='utf-8') as soubor:
        soubor.write(text)
