from urllib.request import urlopen, Request

# příprava dotazu
url = 'https://15khz.miraheze.org/wiki/Main_Page?action=raw'
headers = { 'User-Agent': 'Mozilla/4.0 (compatible; MSIE 5.5; Windows NT)', }
request = Request(url, headers=headers)

# provedení dotazu
with urlopen(request) as stream:
    response_code = stream.getcode()
    headers = dict(stream.getheaders())
    content = stream.read()
 
print(response_code)
print(headers)
print('Content-Type:', headers['Content-Type'])
print(content)
